-- Colours stored for code readability
local GREY = "|cff999999";
local RED = "|cffff0000";
local WHITE = "|cffFFFFFF";
local GREEN = "|cff1eff00";
local PURPLE = "|cff9F3FFF";
local BLUE = "|cff0070dd";
local ORANGE = "|cffFF8400";
local INDENT = "   ";

AtlasLoot_ExtraText = {
    AuchAuchenaiCrypts = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    AuchManaTombs = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    AuchSethekkHalls = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    AuchShadowLabyrinth = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    BlackfathomDeeps = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    BlackrockDepths = {
        "";
        GREY..INDENT..ATLASLOOT_GLADIATORSET;
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    BlackrockSpireLower = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
        GREY..ATLASLOOT_T0_SET_PIECES;
    };
    BlackrockSpireUpper = {
        "";
        GREY..ATLASLOOT_T0_SET_PIECES;
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    BlackwingLair = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
        GREY..ATLASLOOT_BWL_SET_PIECES;
    };
    CFRTheSlavePens = {
        GREEN..ATLASLOOT_TITLE..":";
        GREY..AtlasLoot_TableNames["CFRSlaveMennu"];
        GREY..AtlasLoot_TableNames["CFRSlaveRokmar"];
        GREY..AtlasLoot_TableNames["CFRSlaveQuagmirran"];
    };
    CFRTheUnderbog = {
        GREEN..ATLASLOOT_TITLE..":";
        GREY..AtlasLoot_TableNames["CFRUnderHungarfen"];
        GREY..AtlasLoot_TableNames["CFRUnderGhazan"];
        GREY..AtlasLoot_TableNames["CFRUnderSwamplord"];
        GREY..AtlasLoot_TableNames["CFRUnderStalker"];
    };
    CFRTheSteamvault = {
        GREEN..ATLASLOOT_TITLE..":";
        GREY..AtlasLoot_TableNames["CFRSteamThespia"];
        GREY..AtlasLoot_TableNames["CFRSteamSteamrigger"];
        GREY..AtlasLoot_TableNames["CFRSteamWarlord"];
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
        };
    CFRSerpentshrineCavern = {
	    "";
        GREY..ATLASLOOT_TRASH_MOBS_NOINDENT;
        };
    CoTOldHillsbrad = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    CoTBlackMorass = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS_NOINDENT;
    };
    TheDeadmines = {
        "";
        GREY..INDENT..ATLASLOOT_DEFIASSET;
    };
    DireMaulEast = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
        GREY..ATLASLOOT_DM_BOOKS;
    };
    DireMaulNorth = {
        "";
        GREY..ATLASLOOT_TRIBUTE_RUN;
        GREY..ATLASLOOT_DM_BOOKS;
    };
    DireMaulWest = {
        "";
        GREY..ATLASLOOT_DM_BOOKS;
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    Gnomeregan = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    HCHellfireRamparts = {
        GREY..AtlasLoot_TableNames["HCRampWatchkeeper"];
        GREY..AtlasLoot_TableNames["HCRampOmor"];
        GREY..AtlasLoot_TableNames["HCRampVazruden"];
        GREY..AtlasLoot_TableNames["HCRampNazan"];
        GREY..AtlasLoot_TableNames["HCRampFelIronChest"];
    };
    HCBloodFurnace = {
        GREEN..ATLASLOOT_TITLE..":";
        GREY..AtlasLoot_TableNames["HCFurnaceMaker"];
        GREY..AtlasLoot_TableNames["HCFurnaceBroggok"];
        GREY..AtlasLoot_TableNames["HCFurnaceBreaker"];
    };
    HCTheShatteredHalls = {
        GREEN..ATLASLOOT_TITLE..":";
        GREY..AtlasLoot_TableNames["HCHallsNethekurse"];
        GREY..AtlasLoot_TableNames["HCHallsOmrogg"];
        GREY..AtlasLoot_TableNames["HCHallsKargath"];
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    HCMagtheridonsLair = {
        GREY..INDENT..AtlasLoot_TableNames["HCMagtheridon"];
    };
    Karazhan = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS_NOINDENT;
        };
    MoltenCore = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
        GREY..ATLASLOOT_RANDOM_LOOT;
        GREY..ATLASLOOT_MC_SET_PIECES;
    };
    Naxxramas = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
        GREY..ATLASLOOT_NAXX_SET_PIECES;
    };
    RazorfenDowns = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    RazorfenKraul = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    TempestKeepMechanar = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    TempestKeepBotanica = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    TempestKeepArcatraz = {
	"";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    TheRuinsofAhnQiraj = {
        "";
        GREY..ATLASLOOT_CLASS_BOOKS;
        GREY..ATLASLOOT_AQ_ENCHANTS;
        GREY..ATLASLOOT_AQ20_CLASS_SET_PIECES_1;
    };
    ScarletMonastery = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
        GREY..INDENT..ATLASLOOT_SCARLETSET;
    };
    Scholomance = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    ShadowfangKeep = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    Stratholme = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    TheSunkenTemple = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    TheTempleofAhnQiraj = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
        GREY..ATLASLOOT_AQ_ENCHANTS;
        GREY..ATLASLOOT_AQ40_BROOD_RINGS;
        GREY..ATLASLOOT_AQ40_CLASS_SET_PIECES_1;
        GREY..ATLASLOOT_AQ_OPENING;
    };
    Uldaman = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    WailingCaverns = {
        "";
        GREY..INDENT..ATLASLOOT_VIPERSET;
    };
    ZulFarrak = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
    };
    ZulGurub = {
        "";
        GREY..ATLASLOOT_TRASH_MOBS;
        GREY..ATLASLOOT_RANDOM_LOOT;
        GREY..ATLASLOOT_ZG_CLASS_SET_PIECES_1;
        GREY..ATLASLOOT_ZG_ENCHANTS;
    };
    AlteracValleyNorth = {
        GREEN..ATLASLOOT_BG_MISC;
        GREEN..ATLASLOOT_BG_BLUE;
        GREEN..ATLASLOOT_BG_PURPLE;
    };
    AlteracValleySouth = {
        GREEN..ATLASLOOT_BG_MISC;
        GREEN..ATLASLOOT_BG_BLUE;
        GREEN..ATLASLOOT_BG_PURPLE;
    };
    ArathiBasin = {
        "";
        GREEN..ATLASLOOT_BG_MISC;
        GREEN..ATLASLOOT_BG_BLUE;
        GREEN..ATLASLOOT_BG_PURPLE;
    };
    WarsongGulch = {
        "";
        GREEN..ATLASLOOT_BG_MISC;
        GREEN..ATLASLOOT_BG_BLUE;
        GREEN..ATLASLOOT_BG_PURPLE;
    };    
};