function ZHunter_SavedVariables(i, v, v2)
	if type(v2) == "nil" then
		if type(ZHunterMod_Saved[i]) ~= type(v) then
			ZHunterMod_Saved[i] = v
		end
	else
		if type(ZHunterMod_Saved[i][v]) ~= type(v2) then
			ZHunterMod_Saved[i][v] = v2
		end
	end
end

local f = CreateFrame("frame")
f:RegisterEvent("VARIABLES_LOADED")
f:SetScript("OnEvent", function()

if not ZHunterMod_Saved then
	ZHunterMod_Saved = {}
end

ZHunter_SavedVariables("", {})

ZHunter_SavedVariables("ZAutoShot", {})
ZHunter_SavedVariables("ZAutoShot", "on", 1)

ZHunter_SavedVariables("ZAspect", {})
ZHunter_SavedVariables("ZAspect", "on", 1)
ZHunter_SavedVariables("ZAspect", "count", 12)
ZHunter_SavedVariables("ZAspect", "order", {1, 2, 3, 4, 5, 6, 7})
ZHunter_SavedVariables("ZAspect", "event", "OnRightClick")
ZHunter_SavedVariables("ZAspect", "direction", "RIGHT")
ZHunter_SavedVariables("ZAspect", "row", 1)
ZHunter_SavedVariables("ZAspect", "stack", "BOTTOM")
ZHunter_SavedVariables("ZAspect", "size", 36)

ZHunter_SavedVariables("ZTrack", {})
ZHunter_SavedVariables("ZTrack", "on", 1)
ZHunter_SavedVariables("ZTrack", "count", 12)
ZHunter_SavedVariables("ZTrack", "order", {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11})
ZHunter_SavedVariables("ZTrack", "event", "OnRightClick")
ZHunter_SavedVariables("ZTrack", "direction", "RIGHT")
ZHunter_SavedVariables("ZTrack", "row", 1)
ZHunter_SavedVariables("ZTrack", "stack", "BOTTOM")
ZHunter_SavedVariables("ZTrack", "size", 36)

ZHunter_SavedVariables("ZTrap", {})
ZHunter_SavedVariables("ZTrap", "on", 1)
ZHunter_SavedVariables("ZTrap", "count", 12)
ZHunter_SavedVariables("ZTrap", "order", {1, 2, 3, 4, 5, 6})
ZHunter_SavedVariables("ZTrap", "event", "OnRightClick")
ZHunter_SavedVariables("ZTrap", "direction", "RIGHT")
ZHunter_SavedVariables("ZTrap", "row", 1)
ZHunter_SavedVariables("ZTrap", "stack", "BOTTOM")
ZHunter_SavedVariables("ZTrap", "size", 36)

ZHunter_SavedVariables("ZPet", {})
ZHunter_SavedVariables("ZPet", "on", 1)
ZHunter_SavedVariables("ZPet", "count", 12)
ZHunter_SavedVariables("ZPet", "order", {1, 2, 3, 4, 5, 6, 7, 8, 9, 10})
ZHunter_SavedVariables("ZPet", "event", "OnRightClick")
ZHunter_SavedVariables("ZPet", "direction", "RIGHT")
ZHunter_SavedVariables("ZPet", "row", 1)
ZHunter_SavedVariables("ZPet", "stack", "BOTTOM")
ZHunter_SavedVariables("ZPet", "size", 36)

ZHunter_SavedVariables("ZAutoStrip", {})
ZHunter_SavedVariables("ZAutoStrip", "on", 1)

ZHunter_SavedVariables("ZHunterTranq", {})
ZHunter_SavedVariables("ZHunterTranq", "on", 1)
ZHunter_SavedVariables("ZHunterTranq", "autofrenzy", 1)
ZHunter_SavedVariables("ZHunterTranq", "announce", false)
ZHunter_SavedVariables("ZHunterTranq", "channel", "")
ZHunter_SavedVariables("ZHunterTranq", "channeltarget", "")
ZHunter_SavedVariables("ZHunterTranq", "hit", "Tranq Fired!")
ZHunter_SavedVariables("ZHunterTranq", "miss", "Tranq *MISSED*")
ZHunter_SavedVariables("ZHunterTranq", "fail", "Tranq *FAILED*")

end)