ZPet_Macro1 = "/cast [target=pet, dead] " .. ZHUNTER_PET_REVIVE .. "; [modifier:ctrl] " .. 
	ZHUNTER_PET_REVIVE .. "; [nopet] " .. ZHUNTER_PET_CALL .. "; " .. ZHUNTER_PET_MEND
ZPet_Macro2 = "/cast "..ZHUNTER_PET_REVIVE

ZPet_Health = 1

ZPet_SpellList = {
	ZHUNTER_PET_FEED,
	ZHUNTER_PET_EYES,
	ZHUNTER_PET_DISMISS,
	ZHUNTER_PET_LORE,
	ZHUNTER_PET_TRAINING,
	ZHUNTER_PET_TAMING,
	ZHUNTER_PET_FEAR,
	ZHUNTER_PET_REVIVE
}

ZPet:SetScript("OnEvent", function(self, event, arg1, arg2)
	if event == "UNIT_HAPPINESS" then
		if arg1 == "pet" then

		end
	elseif event == "UNIT_HEALTH" then
		if arg1 == "pet" then
			if UnitHealth("pet") == 0 then
				ZHunterMod_Saved["ZPet"]["dead"] = true
			elseif ZHunterMod_Saved["ZPet"]["dead"] then
				ZHunterMod_Saved["ZPet"]["dead"] = false
				ZPet_SetButtonTexture(ZHUNTER_PET_REVIVE)
			end
		end
	elseif event == "UNIT_PET" then
		if arg1 == "player" then
			ZPet_SetButtonTexture()
		end
	elseif event == "PLAYER_LOGIN" then
		self:UnregisterEvent("PLAYER_LOGIN")
		self:RegisterEvent("UNIT_PET")
--		self:RegisterEvent("UNIT_HAPPINESS")
		self:RegisterEvent("UNIT_HEALTH")
		self.skip = true
		ZHunterMod_Saved["ZPet"]["spell"] = {}
		for i=1, 12 do
			local spell = ZPet_SpellList[ZHunterMod_Saved["ZPet"]["order"][i]]
			ZHunterMod_Saved["ZPet"]["spell"][i] = spell
		end
		self.spells = ZHunterMod_Saved["ZPet"]["spell"]
		self.anchorevent = ZHunterMod_Saved["ZPet"]["event"]
		self.direction = ZHunterMod_Saved["ZPet"]["direction"]
		self.size = ZHunterMod_Saved["ZPet"]["size"]
		self.count = ZHunterMod_Saved["ZPet"]["count"]
		ZSpellButton_SetupButton(self)
		ZPet_SetButton()
		if ZHunterMod_Saved["ZPet"]["on"] == 0 then
			ZPet:Hide()
		end
	end
end)

function ZPet_SetButton()
	ZPet:SetAttribute("type", "macro")
	ZPet:SetAttribute("macrotext1", ZPet_Macro1)
	ZPet:SetAttribute("shift-macrotext1", ZPet_Macro2)
	ZPet:SetAttribute("ctrl-macrotext1", ZPet_Macro2)
	ZPet:SetAttribute("alt-macrotext1", ZPet_Macro2)
	ZPet_SetButtonTexture()
end

function ZPet_SetButtonTexture(spell)
	if not spell then
		if ZHunterMod_Saved["ZPet"]["dead"] then
			spell = ZHUNTER_PET_REVIVE
		elseif UnitExists("pet") then
			spell = ZHUNTER_PET_MEND
		else
			spell = ZHUNTER_PET_CALL
		end
	end
	local texture = GetSpellTexture(spell)
	if texture then
		ZPet.icon:SetTexture(texture)
		ZPet.ztip = spell
	end
end