BINDING_HEADER_ZAspectHeader = "ZAspect Buttons"
BINDING_HEADER_ZTrackHeader = "ZTrack Buttons"
BINDING_HEADER_ZTrapHeader = "ZTrap Buttons"
BINDING_HEADER_ZPetHeader = "ZPet Buttons"

local f = CreateFrame("frame")
f:RegisterEvent("UPDATE_BINDINGS")
f:RegisterEvent("PLAYER_LOGIN")
f:SetScript("OnEvent", function(self, event)
	if event == "UPDATE_BINDINGS" or "PLAYER_LOGIN" then
		self:UnregisterEvent("PLAYER_LOGIN")
		local t = {"ZAspect", "ZTrack", "ZTrap", "ZPet"}
		for i=1, 4 do
			for j=1, 12 do
				local id = (j == 1 and "") or (j - 1)
				local bind = t[i]..id
				local key = GetBindingKey(t[i]..j)
				local frame = getglobal(bind)
				if frame and key then
					SetOverrideBindingClick(frame, 1, key, bind)
				elseif frame then
					ClearOverrideBindings(frame)
				end
			end
		end
	end
end)