ZTrack_SpellList = {
	ZHUNTER_TRACK_HIDDEN,
	ZHUNTER_TRACK_HUMANOIDS,
	ZHUNTER_TRACK_BEASTS,
	ZHUNTER_TRACK_DEMONS,
	ZHUNTER_TRACK_ELEMENTALS,
	ZHUNTER_TRACK_UNDEAD,
	ZHUNTER_TRACK_DRAGONKIN,
	ZHUNTER_TRACK_GIANTS,
	ZHUNTER_TRACK_MINERALS,
	ZHUNTER_TRACK_HERBS,
	ZHUNTER_TRACK_TREASURE
}

ZTrack:SetScript("OnEvent", function(self, event)
	if event == "PLAYER_AURAS_CHANGED" then
		ZTrack_CheckBuff()
	elseif event == "PLAYER_LOGIN" then
		self:UnregisterEvent("PLAYER_LOGIN")
		self:RegisterEvent("COMBAT_TEXT_UPDATE")
		self:RegisterEvent("PLAYER_DEAD")
		self:RegisterEvent("PLAYER_AURAS_CHANGED")
		ZHunterMod_Saved["ZTrack"]["spell"] = {}
		for i=1, 12 do
			local spell = ZTrack_SpellList[ZHunterMod_Saved["ZTrack"]["order"][i]]
			ZHunterMod_Saved["ZTrack"]["spell"][i] = spell
		end
		self.spells = ZHunterMod_Saved["ZTrack"]["spell"]
		self.anchorevent = ZHunterMod_Saved["ZTrack"]["event"]
		self.direction = ZHunterMod_Saved["ZTrack"]["direction"]
		self.size = ZHunterMod_Saved["ZTrack"]["size"]
		self.count = ZHunterMod_Saved["ZTrack"]["count"]
		ZSpellButton_SetupButton(self)
		if ZHunterMod_Saved["ZTrack"]["on"] == 0 then
			ZTrack:Hide()
		end
	end
end)

function ZTrack_CheckBuff()
	local trackingtexture = GetTrackingTexture()
	local frame = ZTrack
	local name = frame:GetName()
	local i = 0
	while frame do
		local spell = frame:GetAttribute("spell")
		local texture = GetSpellTexture(spell or "")
		if trackingtexture == texture then
			frame.icon:SetTexture("Interface\\Icons\\Spell_Nature_WispSplode")
		else
			frame.icon:SetTexture(texture)
		end
		i = i + 1
		frame = getglobal(name..i)
	end
end